Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.resources.upgrade
Class FrameArrayAttribute

    java.lang.Object
      |
      +--org.w3c.tools.resources.upgrade.Attribute
            |
            +--org.w3c.tools.resources.upgrade.FrameArrayAttribute

public class FrameArrayAttribute
extends Attribute

See Also:
  Serialized Form

Fields inherited from class org.w3c.tools.resources.upgrade.Attribute
`COMPUTED, DONTSAVE, EDITABLE, flags, MANDATORY, name, type`

Constructor Summary
`FrameArrayAttribute(java.lang.String name, ResourceFrame[] def, int flags)`

Method Summary
`boolean` | `checkValue(java.lang.Object value)`
`int` | `getPickleLength(java.lang.Object value)`
`void` | `pickle(java.io.DataOutputStream out, java.lang.Object obj)`
`java.lang.Object` | `unpickle(java.io.DataInputStream in)`

Methods inherited from class org.w3c.tools.resources.upgrade.Attribute
`checkFlag, getDefault, getName, getType, stringify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FrameArrayAttribute

    public FrameArrayAttribute(java.lang.String name,
                               ResourceFrame[] def,
                               int flags)

Method Detail

### checkValue

    public boolean checkValue(java.lang.Object value)

  Overrides:
    checkValue in class Attribute

### getPickleLength

    public int getPickleLength(java.lang.Object value)

  Overrides:
    getPickleLength in class Attribute

### pickle

    public void pickle(java.io.DataOutputStream out,
                       java.lang.Object obj)
                throws java.io.IOException

  Overrides:
    pickle in class Attribute

### unpickle

    public java.lang.Object unpickle(java.io.DataInputStream in)
                              throws java.io.IOException

  Overrides:
    unpickle in class Attribute

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD